Skip to main content
GET
/
api
/
v1
/
content
/
sheets
List Content Hub Sheets
curl --request GET \
  --url https://api.athenahq.ai/api/v1/content/sheets \
  --header 'x-api-key: <api-key>'
{
  "sheets": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "Reddit Mentions",
      "sheet_type": "sheet",
      "is_default": false,
      "position": 1,
      "created_at": "2024-01-01T00:00:00.000Z",
      "updated_at": "2024-02-15T12:34:56.000Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.athenahq.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

API key for authentication. You can create one here.

Query Parameters

website_id
string<uuid>
required

The website to list sheets for.

Response

Successful response with the list of sheets, ordered by position ascending.

sheets
object[]
required